<?php

/**
 * Simple Machines Forum (SMF)
 *
 * @package Naytheet Social Login Code
 * @author Naytheet <naytheet @ simplemachines (dot) org>
 * @copyright 2023 Naytheet
 * @license 3-Clause BSD https://opensource.org/licenses/BSD-3-Clause
 * @version 1.0
 */

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
{
	$ssi = true;
	require_once(dirname(__FILE__) . '/SSI.php');
}
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

add_integration_function('integrate_pre_include', '$sourcedir/NaytheetSocialLogin.php');
add_integration_function('integrate_load_theme', 'naytheet_social_login_load_theme');
add_integration_function('integrate_general_mod_settings', 'naytheet_social_login_general_mod_settings');
add_integration_function('integrate_register', 'naytheet_create_avatar');
add_integration_function('integrate_helpadmin', 'naytheet_social_login_helpadmin');

if (!empty($ssi))
	echo 'Database installation complete!';