<?php
/**** calls SL connexion ****/
/* see https://hybridauth.github.io/introduction.html */
/* and https://hybridauth.github.io/developer-ref-user-authentication.html */

// Include Composer's autoloader
include 'vendor/autoload.php';

use Hybridauth\HttpClient;

$isConnected = false;

$config = [
    // Location where to redirect users once they authenticate with the network provider is this same script's 
    // Don't forget to add the url to the "Authorized redirect URLs for your app" social networks 
    'callback' => HttpClient\Util::getCurrentUrl(),
    // network provider's application credentials
    'keys' => [
        'id' => $id,
        'secret' => $secret
    ]
];

try{
    // Instantiate network provider's adapter directly
    $classInstancier = "Hybridauth\\Provider\\".$network;
    $adapter = new $classInstancier($config);

    if (!$adapter->isConnected()) {
        echo "Connecting...";
        // Attempt to authenticate the user
        $adapter->authenticate();

        // Returns a boolean of whether the user is connected with the network provider
        $isConnected = $adapter->isConnected();
     
        // Retrieve the token for LinkedIn
        $token = $adapter->getAccessToken();

    } else {
        $isConnected = true;
    }

    // Disconnect the adapter (log out)
    $adapter->disconnect();

} catch(\Exception $e){
    echo "Social Login error : " . $e->getMessage();
    $SLErrorMsg = " " . $e->getMessage();
}

if (!$isConnected){
    echo $txt['not_connected_to_sl'];
    $SLErrorMsg .= " - " . $txt['not_connected_to_sl'];
}